<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~generate-referral-forms.js" 
	styles="path.css,~../css/reggie-2.css,~export.css"
>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Referral ID generator" 
		/></p:path>

	<div class="content">
		<form name="reggie" id="wizard" class="wizard">
		
		<div class="step" id="step-1">
			<div class="step-no">1</div>
			<div class="step-title">Enter info on the referral form batch to create</div>
			<div class="step-content">
		
				<table class="step-form">
				<tr>
					<td class="prompt">Site</td>
					<td class="input">
						<select id="site" name="site" style="width: 15em;"></select>
					</td>
					<td class="status" id="site.status"></td>
					<td class="help">
						<span id="site.message" class="message"></span>
						Select the site to generate referral ID values for.
					</td>
				</tr>
				<tr>
					<td class="prompt">Kit type</td>
					<td class="input">
						<label><input type="radio" name="kitType" id="kitTypeStandard" value="standard" checked>Standard</label><br>
						<label><input type="radio" name="kitType" id="kitTypeNeo" value="neoadjuvant">Neo-adjuvant</label>
					</td>
					<td valign="top" class="status" id="kitType.status"></td>
					<td class="help">
						<span id="kitType.message" class="message"></span>
						Select the type of kit.
					</td>
				</tr>
				<tr>
					<td class="prompt">Start number
						<span id="sitePrefix" style="float: right; font-weight: normal;">00 -</span>
					</td>
					<td class="input">
						<input type="text" name="startNumber" id="startNumber"
						class="required auto-init" data-auto-init="focus-on-enter" data-next-focus="numKits"
						style="width: 6em;" maxlength="5">
						<span id="viewLogFile" class="link" style="display: none;" 
							title="Opens in a new window">View log file</span>
						</td>
					<td class="status" id="startNumber.status"></td>
					<td class="help">
						<span id="startNumber.message" class="message"></span>
						Enter the 5-digit number of the first referral ID. The site prefix
						is automatically added to create a 7-digit SCAN-B ID.
					</td>
				</tr>
				<tr>
					<td class="prompt">Number of kits</td>
					<td class="input"><input type="text" name="numKits" id="numKits"
						class="required" style="width: 6em;" maxlength="3"> (max 100)</td>
					<td class="status" id="numKits.status"></td>
					<td class="help">
						<span id="numKits.message" class="message"></span>
						Number of referral kits to generate.
					</td>
				</tr>
				</table>
	
			</div>
		</div>
	
		<div id="wizard-status"></div>
		<div id="wizard-progress"></div>
	
		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td><base:button id="gopreview" title="Preview" image="<%=home+"/images/export.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
		
		</form>
	
		<div id="previewWrapper" style="display: none; top: 13em;">
			<div id="previewList"></div>
		</div>
	
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>